Allows enumerating over a COM collection, which may not have indexed item access.

### Type parameters

- #### T

### Hierarchy

- Enumerator

## Index

### Methods

- atEnd
- item
- moveFirst
- moveNext

## Methods

### atEnd

- atEnd(): boolean

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.scripthost.d.ts:245

  Returns true if the current item is the last one in the collection, or the collection is empty, or the current item is undefined.

  #### Returns boolean

### item

- item(): T

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.scripthost.d.ts:250

  Returns the current item in the collection

  #### Returns T

### moveFirst

- moveFirst(): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.scripthost.d.ts:256

  Resets the current item in the collection to the first item. If there are no items in the collection, the current item is set to undefined.

  #### Returns void

### moveNext

- moveNext(): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.scripthost.d.ts:262

  Moves the current item to the next item in the collection. If the enumerator is at the end of the collection or the collection is empty, the current item is set to undefined.

  #### Returns void

Generated using TypeDoc